Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.client
Class TCPIPManagedConnectionFactory

    java.lang.Object
      com.stc.connector.framework.util.JndiJCAObject
          com.stc.connector.framework.jca.system.STCManagedConnectionFactory
              com.stc.connector.tcpip.model.client.TCPIPManagedConnectionFactory

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.LifeCycle, com.stc.connector.management.STCManagedMaster, java.io.Serializable, javax.naming.Referenceable, javax.resource.spi.ManagedConnectionFactory, javax.resource.spi.ResourceAdapterAssociation, javax.resource.spi.ValidatingManagedConnectionFactory

    public class TCPIPManagedConnectionFactory

extends com.stc.connector.framework.jca.system.STCManagedConnectionFactory
implements javax.resource.spi.ManagedConnectionFactory

It implements the interface javax.resource.spi.ManagedConnectionFactory.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2008/03/03 15:35:59 $
Author:
  Harry Liu
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `version`

Fields inherited from class com.stc.connector.framework.jca.system.STCManagedConnectionFactory
`mConfigurationObject, mLog, mProjectInfoObject, msgManager`

Constructor Summary
`TCPIPManagedConnectionFactory()` Constructor

Method Summary
`protected javax.resource.spi.ManagedConnection` | `createManagedConnectionInternal(javax.security.auth.Subject aSubject, javax.resource.spi.ConnectionRequestInfo aRequestInfo)`
`void` | `createMBean(java.lang.String mbeanClassName, java.lang.String mbeanName)`
`void` | `setResourceAdapter(javax.resource.spi.ResourceAdapter resourceAdapter)`

Methods inherited from class com.stc.connector.framework.jca.system.STCManagedConnectionFactory
`checkIfStarted, createConnectionFactory, createConnectionFactory, createConnectionFactoryInternal, createManagedConnection, equals, getApplicationConnectionFactoryClass, getConfiguration, getConfigurationInstance, getConfigurationModel, getConfigurationTemplate, getEwayConnectionClass, getEwayManagedConnectionMBeanClass, getEwayMCFDescription, getEwayMCFMBeanClass, getEwayMCFMBeanName, getEwayMCFName, getInvalidConnections, getLogWriter, getMonitor, getMonitorData, getProcessConfigurationParameters, getProjectInfo, getResourceAdapter, hashCode, isStarted, matchManagedConnections, origSetConfiguration, origSetConfiguration, setApplicationConnectionFactoryClass, setConfiguration, setConfigurationInstance, setConfigurationTemplate, setEwayConnectionClass, setEwayManagedConnectionMBeanClass, setEwayMCFDescription, setEwayMCFMBeanClass, setEwayMCFMBeanName, setEwayMCFName, setLogWriter, setMonitorDataClass, setProcessConfigurationParameters, setProjectInfo, start, stop`

Methods inherited from class com.stc.connector.framework.util.JndiJCAObject
`getReference, getVersion, setReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.resource.spi.ManagedConnectionFactory
`createConnectionFactory, createConnectionFactory, createManagedConnection, equals, getLogWriter, hashCode, matchManagedConnections, setLogWriter`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPManagedConnectionFactory

    public TCPIPManagedConnectionFactory()
                                  throws java.lang.Exception

  Constructor

  Throws:
    `java.lang.Exception`

Method Detail

### setResourceAdapter

    public void setResourceAdapter(javax.resource.spi.ResourceAdapter resourceAdapter)
                            throws javax.resource.ResourceException

  Specified by:
    `setResourceAdapter` in interface `javax.resource.spi.ResourceAdapterAssociation`
  Overrides:
    `setResourceAdapter` in class `com.stc.connector.framework.jca.system.STCManagedConnectionFactory`
  Throws:
    `javax.resource.ResourceException`
  See Also:
    `javax.resource.spi.ManagedConnectionFactory#setResourceAdapter(javax.resource.spi.ResourceAdapter)`

### createMBean

    public void createMBean(java.lang.String mbeanClassName,
                            java.lang.String mbeanName)
                     throws com.stc.connector.management.STCCreateMBeanException

  Overrides:
    `createMBean` in class `com.stc.connector.framework.jca.system.STCManagedConnectionFactory`
  Throws:
    `com.stc.connector.management.STCCreateMBeanException`
  See Also:
    `com.stc.connector.management.STCManagedMaster#createMBean(java.lang.String, java.lang.String)`

### createManagedConnectionInternal

    protected javax.resource.spi.ManagedConnection createManagedConnectionInternal(javax.security.auth.Subject aSubject,
                                                                                   javax.resource.spi.ConnectionRequestInfo aRequestInfo)
                                                                            throws javax.resource.ResourceException

  Overrides:
    `createManagedConnectionInternal` in class `com.stc.connector.framework.jca.system.STCManagedConnectionFactory`
  Throws:
    `javax.resource.ResourceException`
  See Also:
    `STCManagedConnectionFactory.createManagedConnectionInternal(Subject aSubject, ConnectionRequestInfo aRequestInfo)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD